#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int T;
    cin >> T;
    vector<int> N(T), M(T);
    for(int i = 0; i < T; i++){
        cin >> N[i] >> M[i];
    }
    for(int k = 0; k < T; k++){
        if(N[k] != M[k]){
            cout << -1 << '\n';
            continue;
        }

        for(int i = 0; i < N[k]; i++){
            for(int j = 0; j < N[k]; j++){
                if(i == 0 || j == 0 || i == N[k] - 1 || j == M[k]- 1 || i + j > N[k] - 1){
                    cout << 1;
                }
                else cout << 0;
            }
            cout << '\n';
        }
    }
}